<?php

namespace Chekonline\CashboxModule\Model\Config\Source;

use \Magento\Framework\Option\ArrayInterface;

class ProductVat implements ArrayInterface
{

    /**
     * Return array of options as value-label pairs
     *
     * @return array Format: array(array('value' => '<value>', 'label' => '<label>'), ...)
     */
    public function toOptionArray()
    {
        return array(
            array('value' => 1, 'label' => __('НДС 18')),
            array('value' => 2, 'label' => __('НДС 10')),
            array('value' => 3, 'label' => __('НДС 0%')),
            array('value' => 4, 'label' => __('Без НДС')),
            array('value' => 5, 'label' => __('НДС 18/118')),
            array('value' => 6, 'label' => __('НДС 10/110')),
        );
    }
}