<?php

namespace Chekonline\CashboxModule\Model;


use Magento\Framework\DataObject\IdentityInterface;
use Magento\Framework\Model\AbstractModel;
use Chekonline\CashboxModule\Model\Api\Data\ReceiptInterface;

/**
 * Class Receipt
 * @package Chekonline\CashboxModule\Model
 */
class Receipt extends AbstractModel implements IdentityInterface, ReceiptInterface
{
    const CACHE_TAG = 'chekonline_cashboxmodule_receipt';

    protected function _construct()
    {
        $this->_init('Chekonline\CashboxModule\Model\ResourceModel\Receipt');
    }

    /**
     * Return unique ID(s) for each object in system
     *
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    public function getOrderNumber()
    {
        // TODO: Implement getOrderNumber() method.
    }

    public function getType()
    {
        // TODO: Implement getType() method.
    }

    public function getStatus()
    {
        // TODO: Implement getStatus() method.
    }

    public function getDateOfPrinting()
    {
        // TODO: Implement getDateOfPrinting() method.
    }

    public function setOrderNumber()
    {
        // TODO: Implement setOrderNumber() method.
    }

    public function setType()
    {
        // TODO: Implement setType() method.
    }

    public function setStatus()
    {
        // TODO: Implement setStatus() method.
    }

    public function setDateOfPrinting()
    {
        // TODO: Implement setDateOfPrinting() method.
    }
}