<?php

namespace Chekonline\CashboxModule\Model\Config\Source;

use \Magento\Framework\Option\ArrayInterface;

class TaxMode implements ArrayInterface
{

    /**
     * Return array of options as value-label pairs
     *
     * @return array Format: array(array('value' => '<value>', 'label' => '<label>'), ...)
     */
    public function toOptionArray()
    {
        return array(
            array('value' => 0, 'label' => __('ОСН')),
            array('value' => 1, 'label' => __('УСН (доходы)')),
            array('value' => 2, 'label' => __('УСН (доходы-расходы)')),
            array('value' => 3, 'label' => __('ЕНВД')),
            array('value' => 4, 'label' => __('ЕСХН')),
            array('value' => 5, 'label' => __('ПСН')),
        );
    }
}